# std::future_error::what

From cppreference.com
< cpp‎ | thread‎ | future error

virtual const char* what() const; |  | (since C++11)

Returns the explanatory string.

### Parameters

(none)

### Return value

Pointer to a null-terminated string with explanatory information.

### Exceptions

`noexcept` specification:
noexcept

### See also

code | returns the error code (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/thread/future_error/what&oldid=91598"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template